﻿
@{
    ViewBag.Title = "Medical information reports";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  AllergyMedicalConditionReportPdfViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Medical Information Reports</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom p, .jbt-table-custom p span {
            font-size: 13px !important;
        }

        .jbt-table-custom hr {
            color: #eee !important;
            box-shadow: none !important;
        }

        .structure-divider-large:not(:last-child) {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else if (!string.IsNullOrEmpty(Model.SchoolLogo))
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>

    @foreach (var item in Model.Programs)
    {
        <div class="structure-divider-large">

            <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                <tr>
                    <td class="structure-bold structure-h3 " colspan="2"><span>@item.SectionName</span></td>
                </tr>
            </table>

            @if (item.SectionParticipant != null)
            {
                <table class="jbt-table-custom" ng-show="">
                    <thead>
                        <tr class="structure-gray">
                            <th style="min-width:30px;width:30px;">#</th>
                            <th style="max-width:120px;width:120px;">Participant</th>
                            <th style="max-width:150px;width:150px;">Program</th>
                            <th style="max-width:50px;width:50px;">Grade</th>
                            <th style="max-width:200px;width:200px;">Description</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var participant in item.SectionParticipant)
                        {
                            <tr>
                                <td style="min-width:30px;width:30px;white-space:nowrap" class="structure-text-center">@participant.Number</td>
                                <td style="max-width:120px;width:120px;white-space:initial !important;word-break:break-word !important" class="structure-text-center">
                                    <p><span style="font-size:10px !important;white-space:initial !important;word-break:break-word !important">@participant.ParticipantName</span></p>
                                </td>
                                <td style="max-width:150px;width:150px;white-space:initial !important;word-break:break-word !important" class="structure-text-center">
                                    <p style="font-size:10px !important;white-space:initial !important;word-break:break-word !important"><span style="font-size:10px !important">@participant.ProgramName</span></p>
                                </td>
                                <td style="max-width:50px;width:50px;white-space:initial !important;word-break:break-word !important" class="structure-text-center">
                                    <p><span style="font-size:10px !important;white-space:initial !important;word-break:break-word !important">@participant.Grade</span></p>
                                </td>
                                <td style="max-width:200px;width:200px;white-space:initial !important;word-break:break-word !important" class="structure-text-center">
                                    <p style="font-size:10px !important;white-space:initial !important;word-break:break-word !important"><span style="font-size:10px !important;white-space:initial !important;word-break:break-word !important">@participant.Description</span></p>
                                </td>
                            </tr>
                        }
                    </tbody>

                </table>
            }

        </div>
    }

</body>
</html>
